<?php

defined('_JEXEC') or die;

jimport('joomla.application.component.modelitem');

class MapsModelMarkers extends JModelItem
{
	/**
	 * Category items data
	 *
	 * @var array
	 */
	protected $_data = null;

        public function getData(){
              
              try {
				$db = $this->getDbo();
				$query = $db->getQuery(true);

				$query->select('m.*');
				$query->from('#__markers AS m');

				$db->setQuery($query);

				$data = $db->loadObjectList();

				if ($error = $db->getErrorMsg()) {
					throw new Exception($error);
				}

				if (empty($data)) {
					throw new Exception(JText::_('COM_MAPS_ERROR_MARKER_NOT_FOUND'), 404);
				}
				

				$this->_data = $data;
		}
		catch (Exception $e)
		{
			$this->setError($e);
			$this->_data = false;
		}
		return $this->_data;
              
        } 
        
}
	
?>