<?php

defined('_JEXEC') or die;

jimport('joomla.application.component.controller');

/**
 * Base controller class for Maps.
 */
class MapsController extends JController
{
	public function display()
	{
		// Get the document object.
		$document = JFactory::getDocument();

		$lName	 = JRequest::getWord('layout', 'default');
                $view = $this->getView("markers", "html");

		$view->assignRef('document', $document);
		$view->display();
	}
	public function getMarkersXML()
	{
		// Get the document object.
		$document = JFactory::getDocument();
		$document->setMimeEncoding('text/xml');
		$model = $this->getModel('markers');
		$data = $model->getData();
		echo "<markers>";
		foreach($data as $marker){
			echo '<marker ';
			echo 'name="' . $this->parseToXML($marker->name) . '" ';
			echo 'address="' . $this->parseToXML($marker->address) . '" ';
			echo 'lat="' . $marker->lat . '" ';
			echo 'lng="' . $marker->lng . '" ';
			echo 'type="' . $marker->type . '" ';
			echo '/>';
	    	} 
                echo "</markers>";

	}
	private function parseToXML($htmlStr) 
	{ 
		$xmlStr=str_replace('<','&lt;',$htmlStr); 
		$xmlStr=str_replace('>','&gt;',$xmlStr); 
		$xmlStr=str_replace('"','&quot;',$xmlStr); 
		$xmlStr=str_replace("'",'&#39;',$xmlStr); 
		$xmlStr=str_replace("&",'&amp;',$xmlStr); 
		return $xmlStr; 
	} 
	
	
	
	
}


?>